[arch-commits] Commit in gnome-bluetooth/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Apr 3 17:13:13 EDT 2009


    Date: Friday, April 3, 2009 @ 17:13:13
  Author: jgc
Revision: 33015

upgpkg: gnome-bluetooth 0.12.0-1

Modified:
  gnome-bluetooth/trunk/PKGBUILD

----------+
 PKGBUILD |   28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 21:05:09 UTC (rev 33014)
+++ PKGBUILD	2009-04-03 21:13:13 UTC (rev 33015)
@@ -2,33 +2,31 @@
 # Maintainer: Roman Kyrylych <roman at archlinux.org>
 
 pkgname=gnome-bluetooth
-pkgver=0.11.0
-pkgrel=3
+pkgver=0.12.0
+pkgrel=1
 pkgdesc="The GNOME Bluetooth Subsystem."
 arch=('i686' 'x86_64')
 url="http://www.usefulinc.com/software/gnome-bluetooth/"
 license=('GPL' 'LGPL')
-depends=('libbtctl>=0.9.0' 'libgnomeui>=2.18.1-2' 'gconf>=2.18.0.1-4'
-         'desktop-file-utils')
-makedepends=('gob2' 'intltool' 'python>=2.5' 'pygtk')
+depends=('libbtctl>=0.10.0' 'libgnomeui>=2.24.1' 'desktop-file-utils' 'gconf>=2.26.0-2')
+makedepends=('gob2' 'intltool' 'pygtk>=2.14.1')
 options=('!libtool' '!emptydirs')
 install=gnome-bluetooth.install
-source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/0.11/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('5447739dfd687b3b5a075df9bac092e1')
+source=(http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/0.12/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('881a01ce964b8c02b5d40be8b5aedcaf')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   aclocal || return 1
   automake || return 1
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   sed -e 's|^pythondir = /usr|pythondir = |' \
       -e 's|^pydir = /usr|pydir = |' \
-      -i src/Makefile
+      -i src/Makefile || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
      
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas \
-    ${startdir}/pkg/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas" || return 1
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain gnome-bluetooth ${pkgdir}/etc/gconf/schemas/*.schemas
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }



More information about the arch-commits mailing list